Index: /trunk/libf/phytitan/pg2.F
===================================================================
--- /trunk/libf/phytitan/pg2.F	(revision 101)
+++ /trunk/libf/phytitan/pg2.F	(revision 102)
@@ -41,11 +41,11 @@
 c------------------------------------------------------
 
+      use dimphy
+      USE comgeomphy
 #include "dimensions.h"
-#include "dimphy.h"
 #include "microtab.h"
 #include "paramet.h"
 #include "aerprod.h"
 #include "clesphys.h"
-#include "comgeomphy.h"
 #include "YOMCST.h"
 
Index: /trunk/libf/phytitan/phyetat0.F
===================================================================
--- /trunk/libf/phytitan/phyetat0.F	(revision 101)
+++ /trunk/libf/phytitan/phyetat0.F	(revision 102)
@@ -10,11 +10,11 @@
      .           tabcntr0,
      .           t_ancien,ancien_ok)
-      IMPLICIT none
 c======================================================================
 c Auteur(s) Z.X. Li (LMD/CNRS) date: 19930818
 c Objet: Lecture de l'etat initial pour la physique
 c======================================================================
+      use dimphy
+      IMPLICIT none
 #include "dimensions.h"
-#include "dimphy.h"
 #include "netcdf.inc"
 #include "dimsoil.h"
Index: /trunk/libf/phytitan/phyredem.F
===================================================================
--- /trunk/libf/phytitan/phyredem.F	(revision 101)
+++ /trunk/libf/phytitan/phyredem.F	(revision 102)
@@ -11,4 +11,5 @@
 
       USE control_mod
+      use dimphy
       IMPLICIT none
 c======================================================================
@@ -17,5 +18,4 @@
 c======================================================================
 #include "dimensions.h"
-#include "dimphy.h"
 #include "netcdf.inc"
 #include "dimsoil.h"
@@ -75,7 +75,7 @@
       IF( cycle_diurne ) tab_cntrl( 7 ) = 1.
       IF(   soil_model ) tab_cntrl( 8 ) = 1.
-      IF(     new_oliq ) tab_cntrl( 9 ) = 1.
       IF(     ok_orodr ) tab_cntrl(10 ) = 1.
       IF(     ok_orolf ) tab_cntrl(11 ) = 1.
+      IF( ok_gw_nonoro ) tab_cntrl(12 ) = 1.
 
       tab_cntrl(13) = day_end
Index: /trunk/libf/phytitan/physiq.F
===================================================================
--- /trunk/libf/phytitan/physiq.F	(revision 101)
+++ /trunk/libf/phytitan/physiq.F	(revision 102)
@@ -10,9 +10,4 @@
      .            d_u, d_v, d_t, d_qx, d_ps)
 
-      USE ioipsl
-      USE histcom
-      USE infotrac
-      USE control_mod
-      IMPLICIT none
 c======================================================================
 c
@@ -29,11 +24,4 @@
 cAA                  -  stockage des moyennes des champs necessaires
 cAA                     en mode traceur off-line 
-c======================================================================
-c   CLEFS CPP POUR LES IO
-c   =====================
-#define histmth
-#define histday
-#define histins
-c======================================================================
 c    modif   ( P. Le Van ,  12/10/98 )
 c
@@ -67,14 +55,25 @@
 c d_ps----output-R-tendance physique de la pression au sol
 c======================================================================
+      USE ioipsl
+      USE histcom
+      USE infotrac
+      USE control_mod
+      use dimphy
+      USE comgeomphy
+      IMPLICIT none
+c======================================================================
+c   CLEFS CPP POUR LES IO
+c   =====================
+#define histmth
+#define histday
+#define histins
+c======================================================================
 #include "dimensions.h"
       integer jjmp1
       parameter (jjmp1=jjm+1-1/jjm)
-#include "dimphy.h"
 #include "dimsoil.h"
 #include "clesphys.h"
 #include "temps.h"
-#include "comgeomphy.h"
 #include "iniprint.h"
-#include "raddim.h"
 #include "timerad.h" 
 #include "logic.h"
@@ -583,5 +582,5 @@
       do iq=1,nqmax
          nom = tname(iq)
-c        print*,iq,"nom=",nom,"tname=",tname(iq),"tnom=",tnom(iq)
+c        print*,iq,"nom=",nom,"tname=",tname(iq)
          print*,iq,"nom=",nom
          if (nom(1:1).eq."q") then
Index: /trunk/libf/phytitan/phytrac.F
===================================================================
--- /trunk/libf/phytitan/phytrac.F	(revision 101)
+++ /trunk/libf/phytitan/phytrac.F	(revision 102)
@@ -3,8 +3,4 @@
      .                   pplev,pplay,delp,ptemp,pmu0,pfract,pdecli,
      .                   lonsol,tr_seri,d_tr_mph,d_tr_kim)
-
-      USE infotrac
-
-      IMPLICIT none
 
 c======================================================================
@@ -32,6 +28,8 @@
 c d_tr_kim----output-R-tendance chimique de "qx" (kg/kg/s)
 c======================================================================
+      USE infotrac
+      use dimphy
+      IMPLICIT none
 #include "dimensions.h"
-#include "dimphy.h"
 #include "clesphys.h"
 #include "YOMCST.h"
Index: /trunk/libf/phytitan/printflag.F
===================================================================
--- /trunk/libf/phytitan/printflag.F	(revision 101)
+++ /trunk/libf/phytitan/printflag.F	(revision 102)
@@ -12,6 +12,6 @@
 
        REAL tabcntr0( 100 )
-       LOGICAL cycle_diurn0,soil_model0,new_oliq0,ok_orodr0
-       LOGICAL ok_orolf0,ok_limitvr0
+       LOGICAL cycle_diurn0,soil_model0,ok_orodr0
+       LOGICAL ok_orolf0,ok_gw_nonoro0
        LOGICAL ok_mensuel, ok_journe, ok_instan
        INTEGER radpas , radpas0
@@ -33,6 +33,6 @@
        PRINT 100
 
-c      PRINT 11, new_oliq, ok_orodr, ok_orolf   
-c      PRINT 100
+       PRINT 11, ok_orodr, ok_orolf, ok_gw_nonoro   
+       PRINT 100
 
        PRINT 12, nbapp_rad
@@ -55,15 +55,13 @@
         cycle_diurn0  = .FALSE.
         soil_model0   = .FALSE.
-        new_oliq0     = .FALSE.
         ok_orodr0     = .FALSE.
         ok_orolf0     = .FALSE.
-        ok_limitvr0   = .FALSE.
+        ok_gw_nonoro0 = .FALSE.
 
         IF( tabcntr0( 7 ).EQ. 1. )   cycle_diurn0 = .TRUE.
         IF( tabcntr0( 8 ).EQ. 1. )    soil_model0 = .TRUE.
-        IF( tabcntr0( 9 ).EQ. 1. )      new_oliq0 = .TRUE.
         IF( tabcntr0(10 ).EQ. 1. )      ok_orodr0 = .TRUE.
         IF( tabcntr0(11 ).EQ. 1. )      ok_orolf0 = .TRUE.
-        IF( tabcntr0(12 ).EQ. 1. )    ok_limitvr0 = .TRUE.
+        IF( tabcntr0(12 ).EQ. 1. )  ok_gw_nonoro0 = .TRUE.
 
         PRINT *,' $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
@@ -108,10 +106,4 @@
        ENDIF
 
-       IF( new_oliq0.AND..NOT.new_oliq.OR..NOT.new_oliq0.AND.
-     ,        new_oliq )     THEN
-        PRINT 16, new_oliq0, new_oliq
-        PRINT 100
-       ENDIF
-
        IF( ok_orodr0.AND..NOT.ok_orodr.OR..NOT.ok_orodr0.AND.
      ,        ok_orodr )     THEN
@@ -126,7 +118,7 @@
        ENDIF
 
-       IF( ok_limitvr0.AND..NOT.ok_limitvrai.OR..NOT.ok_limitvr0.
-     ,     AND.ok_limitvrai )     THEN
-        PRINT 18, ok_limitvr0, ok_limitvrai
+       IF( ok_gw_nonoro0.AND..NOT.ok_gw_nonoro.OR..NOT.ok_gw_nonoro0.
+     ,     AND.ok_gw_nonoro )     THEN
+        PRINT 18, ok_gw_nonoro0, ok_gw_nonoro
         PRINT 100
        ENDIF
@@ -140,6 +132,4 @@
      . , ok_instan = ',l3,8x,5(1H*) )
 
- 7     FORMAT(2x,5(1H*),15x,'      ok_limitvrai   = ',l3,16x,5(1h*) )
-
  8     FORMAT(2x,'*****             radpas    =                      ' ,
      , i4,6x,' *****')
@@ -149,6 +139,6 @@
 
 
- 11    FORMAT(2x,5(1H*),'  new_oliq = ',l3,3x,', Ok_orodr = ',
-     , l3,3x,', Ok_orolf = ',l3,3x,5(1H*) )
+ 11    FORMAT(2x,5(1H*),', Ok_orodr = ',l3,3x,', Ok_orolf = ',l3,3x,
+     ,    ' ok_gw_nonoro = ',l3,3x,5(1H*) )
 
 
@@ -165,11 +155,8 @@
      , /1x,10x,' startphy = ',l3,2x,' et  run.def = ',l3)
 
- 16    FORMAT(2x,'$$$$$$$$   Attention !!      new_oliq  different  sur',
-     , /1x,10x,' startphy = ',l3,2x,' et  run.def = ',l3)
-
  17    FORMAT(2x,'$$$$$$$$   Attention !!      ok_orolf  different  sur',
      , /1x,10x,' startphy = ',l3,2x,' et  run.def = ',l3)
 
- 18    FORMAT(2x,'$$$$$$$$   Attention !!  ok_limitvrai  different  sur',
+ 18    FORMAT(2x,'$$$$$$$$   Attention !!  ok_gw_nonoro  different  sur',
      , /1x,10x,' startphy = ',l3,2x,' et  run.def = ',l3)
 
Index: /trunk/libf/phytitan/radlwsw.F
===================================================================
--- /trunk/libf/phytitan/radlwsw.F	(revision 101)
+++ /trunk/libf/phytitan/radlwsw.F	(revision 102)
@@ -6,5 +6,4 @@
      .                  lwnet, swnet)
 c      
-      IMPLICIT none
 c======================================================================
 c Auteur(s): Z.X. Li (LMD/CNRS) date: 19960719
@@ -39,10 +38,10 @@
 
 c======================================================================
+      use dimphy
+      USE comgeomphy
+      IMPLICIT none
 #include "dimensions.h"
-#include "dimphy.h"
-#include "raddim.h"
 #include "YOMCST.h"
 #include "clesphys.h" 
-#include "comgeomphy.h"
 c
 c ARGUMENTS
Index: /trunk/libf/phytitan/radtitan.F
===================================================================
--- /trunk/libf/phytitan/radtitan.F	(revision 101)
+++ /trunk/libf/phytitan/radtitan.F	(revision 102)
@@ -1,6 +1,3 @@
        SUBROUTINE RADTITAN(p,nq,nmicro,ycomp)
-
-      IMPLICIT NONE
-
 
 c=======================================================================
@@ -34,12 +31,13 @@
 c   -------------
 
+      USE infotrac
+      use dimphy
+      USE comgeomphy
+      IMPLICIT NONE
 #include "dimensions.h"
-#include "dimphy.h"
 #include "clesphys.h"
 #include "microtab.h"
 #include "numchimrad.h"
-#include "comgeomphy.h"
 #include "YOMCST.h"
-#include "advtrac.h"     !! pour noms des traceurs
 
 c Pour le CRAY, les block data doivent etre declares external
@@ -297,15 +295,15 @@
 
           do i=1,nq
-             if (tnom(i).eq."CH4") then
+             if (tname(i).eq."CH4") then
                 iradch4=i
-             elseif (tnom(i).eq."C2H2") then
+             elseif (tname(i).eq."C2H2") then
                 iradc2h2=i
-             elseif (tnom(i).eq."C2H6") then
+             elseif (tname(i).eq."C2H6") then
                 iradc2h6=i
-             elseif (tnom(i).eq."HCN") then
+             elseif (tname(i).eq."HCN") then
                 iradhcn=i
-             elseif (tnom(i).eq."N2") then
+             elseif (tname(i).eq."N2") then
                 iradn2=i
-             elseif (tnom(i).eq."H2") then
+             elseif (tname(i).eq."H2") then
                 iradh2=i
              endif 
Index: /trunk/libf/phytitan/readstartphy.F
===================================================================
--- /trunk/libf/phytitan/readstartphy.F	(revision 101)
+++ /trunk/libf/phytitan/readstartphy.F	(revision 102)
@@ -9,11 +9,11 @@
      .           fder,radsol,
      .           tabcntr0)
-      IMPLICIT none
 c======================================================================
 c Auteur(s) Z.X. Li (LMD/CNRS) date: 19930818
 c Objet: Lecture de l'etat initial pour la physique
 c======================================================================
+      use dimphy
+      IMPLICIT none
 #include "dimensions.h"
-#include "dimphy.h"
 #include "netcdf.inc"
 #include "dimsoil.h"
Index: /trunk/libf/phytitan/sfluxv.F
===================================================================
--- /trunk/libf/phytitan/sfluxv.F	(revision 101)
+++ /trunk/libf/phytitan/sfluxv.F	(revision 102)
@@ -1,8 +1,7 @@
       SUBROUTINE SFLUXV(IPRINT,IG,dist_sol)
 
+      use dimphy
       IMPLICIT NONE
-
 #include "dimensions.h"
-#include "dimphy.h"
 #include "comorbit.h"
 
Index: /trunk/libf/phytitan/soil.F
===================================================================
--- /trunk/libf/phytitan/soil.F	(revision 101)
+++ /trunk/libf/phytitan/soil.F	(revision 102)
@@ -4,5 +4,4 @@
       SUBROUTINE soil(ptimestep, knon, ptsrf, ptsoil,
      s          pcapcal, pfluxgrd)
-      IMPLICIT NONE
 
 c=======================================================================
@@ -47,7 +46,8 @@
 c   -------------
 
+      use dimphy
+      IMPLICIT NONE
 #include "dimensions.h"
 #include "YOMCST.h"
-#include "dimphy.h"
 #include "dimsoil.h"
 #include "clesphys.h"
@@ -74,5 +74,5 @@
 c   ----------------------
       REAL dz1(nsoilmx),dz2(nsoilmx)
-      REAL zc(klon,nsoilmx),zd(klon,nsoilmx)
+      REAL,allocatable :: zc(:,:),zd(:,:)
       REAL lambda
       SAVE dz1,dz2,zc,zd,lambda
@@ -95,4 +95,6 @@
 
       IF (firstcall) THEN
+
+      allocate(zc(klon,nsoilmx),zd(klon,nsoilmx))
 
 c-----------------------------------------------------------------------
Index: /trunk/libf/phytitan/ustarhb.F
===================================================================
--- /trunk/libf/phytitan/ustarhb.F	(revision 101)
+++ /trunk/libf/phytitan/ustarhb.F	(revision 102)
@@ -3,5 +3,4 @@
 !
       SUBROUTINE ustarhb(knon,u,v,cd_m, ustar)
-      IMPLICIT none
 c======================================================================
 c Laurent Li (LMD/CNRS), le 30 septembre 1998
@@ -17,6 +16,7 @@
 c model. J. of Climate, vol. 6, 1825-1842.
 c======================================================================
+      use dimphy
+      IMPLICIT none
 #include "dimensions.h"
-#include "dimphy.h"
 #include "YOMCST.h"
 c
Index: /trunk/libf/phytitan/vdif_kcay.F
===================================================================
--- /trunk/libf/phytitan/vdif_kcay.F	(revision 101)
+++ /trunk/libf/phytitan/vdif_kcay.F	(revision 102)
@@ -5,8 +5,8 @@
      s   ,zlev,zlay,u,v,teta,cd,q2,q2diag,km,kn,ustar
      s   ,l_mix)
+c.......................................................................
+      use dimphy
       IMPLICIT NONE
-c.......................................................................
 #include "dimensions.h"
-#include "dimphy.h"
 c.......................................................................
 c
@@ -195,6 +195,4 @@
       PARAMETER (q2min=1.e-5)
       PARAMETER (q2max=1.E+2)
-      PARAMETER (nlay=klev)
-      PARAMETER (nlev=klev+1)
 c
       PARAMETER (
@@ -221,4 +219,7 @@
       save first
       data first/.true./
+
+      nlay=klev
+      nlev=klev+1
 c.......................................................................
 c  traitment des valeur de q2 en entree
Index: /trunk/libf/phytitan/writerestartphy.F
===================================================================
--- /trunk/libf/phytitan/writerestartphy.F	(revision 101)
+++ /trunk/libf/phytitan/writerestartphy.F	(revision 102)
@@ -6,11 +6,11 @@
      .           t_ancien)
 
-      IMPLICIT none
 
 c======================================================================
 c Ecriture de l'etat de redemarrage pour la physique (pour newstart)
 c======================================================================
+      use dimphy
+      IMPLICIT none
 #include "dimensions.h"
-#include "dimphy.h"
 #include "netcdf.inc"
 #include "dimsoil.h"
Index: /trunk/libf/phytitan/yamada.F
===================================================================
--- /trunk/libf/phytitan/yamada.F	(revision 101)
+++ /trunk/libf/phytitan/yamada.F	(revision 102)
@@ -5,8 +5,8 @@
      s   ,zlev,zlay,u,v,teta,cd,q2,km,kn,ustar
      s   ,l_mix)
+c.......................................................................
+      use dimphy
       IMPLICIT NONE
-c.......................................................................
 #include "dimensions.h"
-#include "dimphy.h"
 c.......................................................................
 c
@@ -46,13 +46,7 @@
       integer l_mix,ngrid
 
-
-      integer nlay,nlev
-      PARAMETER (nlay=klev)
-      PARAMETER (nlev=klev+1)
-
       logical first
       save first
       data first/.true./
-
 
       integer ig,k
@@ -98,6 +92,6 @@
 
 c  Correction d'un bug sauvage a verifier.
-c      do k=2,nlev
-      do k=2,nlay
+c      do k=2,klevp1
+      do k=2,klev
                                                           do ig=1,ngrid
          dz(ig,k)=zlay(ig,k)-zlay(ig,k-1)
Index: /trunk/libf/phytitan/yamada4.F
===================================================================
--- /trunk/libf/phytitan/yamada4.F	(revision 101)
+++ /trunk/libf/phytitan/yamada4.F	(revision 102)
@@ -6,8 +6,8 @@
      s   ,zlev,zlay,u,v,teta,cd,km,kn,kq,ustar
      s   ,iflag_pbl)
+c.......................................................................
+      use dimphy
       IMPLICIT NONE
-c.......................................................................
 #include "dimensions.h"
-#include "dimphy.h"
 c.......................................................................
 c
@@ -50,5 +50,5 @@
       REAL teta(klon,klev)
       REAL cd(klon)
-      REAL q2(klon,klev+1),qpre
+      REAL qpre
       REAL unsdz(klon,klev)
       REAL unsdzdec(klon,klev+1)
@@ -65,6 +65,4 @@
 
       integer nlay,nlev
-      PARAMETER (nlay=klev)
-      PARAMETER (nlev=klev+1)
 
       logical first
@@ -83,9 +81,9 @@
       real dtetadz(klon,klev+1)
       real m2cstat,mcstat,kmcstat
-      real l(klon,klev+1),l0(klon)
-      save l0
+      real l(klon,klev+1)
+      real,save,allocatable :: l0(:)
 c  ATTENTION! mis ici car j'ai enlevé q2 des arguments...
 c   sinon, c'est au-dessus que ça se passe...
-      save q2 
+      REAL,save,allocatable :: q2(:,:)
 
       real sq(klon),sqz(klon),zz(klon,klev+1)
@@ -99,8 +97,7 @@
       real fl,zzz,zl0,zq2,zn2
 
-      real rino(klon,klev+1),smyam(klon,klev),styam(klon,klev)
-     s  ,lyam(klon,klev),knyam(klon,klev)
-     s  ,w2yam(klon,klev),t2yam(klon,klev)
-      common/pbldiag/rino,smyam,styam,lyam,knyam,w2yam,t2yam
+c     real rino(klon,klev+1),smyam(klon,klev),styam(klon,klev)
+c    s  ,lyam(klon,klev),knyam(klon,klev)
+c    s  ,w2yam(klon,klev),t2yam(klon,klev)
 
       frif(ri)=0.6588*(ri+0.1776-sqrt(ri*ri-0.3221*ri+0.03156))
@@ -116,6 +113,13 @@
 
 c===================================
-c INITIALISATIONS (surtout pour k=1, à cause diagnostiques...)
+c INITIALISATIONS 
+      nlay=klev
+      nlev=klev+1
+
       if (first) then
+        allocate(l0(klon))
+        allocate(q2(klon,klevp1))
+
+c (surtout pour k=1, à cause diagnostiques...)
         q2 = 0.
       endif
@@ -462,22 +466,15 @@
 
 c     print*,'YAMADA4 1'
-c   Diagnostique pour stockage
-
-      rino=rif
-      smyam(:,1:klev)=sm(:,1:klev)
-      styam=sm(:,1:klev)*alpha(:,1:klev)
-      lyam(1:klon,1:klev)=l(:,1:klev)
-      knyam(1:klon,1:klev)=kn(:,1:klev)
 
 c   Estimations de w'2 et T'2 d'apres Abdela et McFarlane
 
-        if(1.eq.0)then
-      w2yam=q2(:,1:klev)*0.24
-     s    +lyam(:,1:klev)*5.17*kn(:,1:klev)*n2(:,1:klev)
-     s   /sqrt(q2(:,1:klev))
-
-      t2yam=9.1*kn(:,1:klev)*dtetadz(:,1:klev)**2/sqrt(q2(:,1:klev))
-     s  *lyam(:,1:klev)
-	endif
+c     if(1.eq.0)then
+c      w2yam=q2(:,1:klev)*0.24
+c    s    +lyam(:,1:klev)*5.17*kn(:,1:klev)*n2(:,1:klev)
+c    s   /sqrt(q2(:,1:klev))
+c
+c      t2yam=9.1*kn(:,1:klev)*dtetadz(:,1:klev)**2/sqrt(q2(:,1:klev))
+c    s  *lyam(:,1:klev)
+c     endif
 
 c     print*,'OKFIN'
Index: /trunk/libf/phytitan/zenang.F
===================================================================
--- /trunk/libf/phytitan/zenang.F	(revision 101)
+++ /trunk/libf/phytitan/zenang.F	(revision 102)
@@ -2,5 +2,4 @@
       SUBROUTINE zenang(longi,gmtime,pdtrad,lat,long,
      s                  pmu0,frac)
-      IMPLICIT none
 c=============================================================
 c Auteur : O. Boucher (LMD/CNRS)
@@ -25,6 +24,7 @@
 c frac-----OUTPUT: ensoleillement moyen entre gmtime et gmtime+(pdtrad/RDAY)
 c================================================================
+      use dimphy
+      IMPLICIT none
 #include "dimensions.h"
-#include "dimphy.h"
 #include "YOMCST.h"
 #include "comorbit.h"
Index: /trunk/libf/phyvenus/printflag.F
===================================================================
--- /trunk/libf/phyvenus/printflag.F	(revision 101)
+++ /trunk/libf/phyvenus/printflag.F	(revision 102)
@@ -119,6 +119,6 @@
 
 
- 11    FORMAT(2x,5(1H*),', Ok_orodr = ',
-     , l3,3x,', Ok_orolf = ',l3,3x,5(1H*) )
+ 11    FORMAT(2x,5(1H*),', Ok_orodr = ',l3,3x,', Ok_orolf = ',l3,3x,
+     ,    ' ok_gw_nonoro = ',l3,3x,5(1H*) )
 
 
